# $Revision: 1.106 $, $Date: 2010/04/21 17:00:12 $
#
# Conditional build:
%bcond_without	sid	# build without sid support
#
Summary:	Sound player with the WinAmp GUI, for Unix-based systems for GTK+
Summary(pl.UTF-8):	Odtwarzacz dźwięku z interfejsem WinAmpa dla GTK+
Name:		bmpx
Version:	0.40.14
Release:	13
License:	GPL v2
Group:		X11/Applications/Sound
Source0:	http://files.backtrace.info/releases/0.40/%{name}-%{version}.tar.bz2
# Source0-md5:	c741e05a82a82b14b6775d44a7c93c15
Patch0:		%{name}-lib64.patch
Patch1:		%{name}-libsoup24.patch
Patch2:		%{name}-sidplay.patch
Patch3:		%{name}-c++.patch
Patch4:		%{name}-am.patch
URL:		http://bmpx.backtrace.info/
BuildRequires:	alsa-lib-devel >= 1.0.9
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.8
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	cairomm-devel >= 0.6.0
BuildRequires:	cdparanoia-III-devel
BuildRequires:	dbus-glib-devel >= 0.62
BuildRequires:	docbook-dtd45-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	gcc-c++ >= 5:4.0.0
BuildRequires:	gettext-devel
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.10
BuildRequires:	gtkmm-devel >= 2.10.0
BuildRequires:	hal-devel >= 0.5.7.1
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libglademm-devel >= 2.6.0
BuildRequires:	libmodplug-devel >= 0.7
BuildRequires:	libofa-devel >= 0.9.3
BuildRequires:	librsvg-devel >= 1:2.14.0
BuildRequires:	libsexymm-devel >= 0.1.9
%{?with_sid:BuildRequires:	libsidplay-devel}
BuildRequires:	libsigc++-devel >= 2.0.0
BuildRequires:	libsoup-devel >= 2.4.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sqlite3-devel >= 3.3.11
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	taglib-devel >= 1.4-2
BuildRequires:	unzip
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	zip
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk+2 >= 2:2.10.0
Requires(post,postun):	hicolor-icon-theme
Requires:	gstreamer-audio-effects-base
Requires:	gstreamer-audiosink
Suggests:	gstreamer-aac
Suggests:	gstreamer-audio-formats >= 0.10.3
Suggests:	gstreamer-cdparanoia
Suggests:	gstreamer-ffmpeg
Suggests:	gstreamer-flac
Suggests:	gstreamer-mad
Suggests:	gstreamer-mms
Suggests:	gstreamer-musepack
Suggests:	gstreamer-plugins-bad
Suggests:	gstreamer-sid
Suggests:	gstreamer-vorbis
Obsoletes:	bmpx-curses
Obsoletes:	bmpx-libs
Obsoletes:	bmpx-plugin-container
Obsoletes:	bmpx-plugin-flow
Obsoletes:	bmpx-plugin-transport
Obsoletes:	bmpx-plugins-base
Obsoletes:	bmpx-remote
Obsoletes:	bmpx-remote-gtk
Obsoletes:	bmpx-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_iceweaseldir	%{_datadir}/iceweasel
%define		_chromedir	%{_iceweaseldir}/chrome

%description
BMPx is the follow-up of the BMP project with a codebase rewritten
from scratch and aims to maintain a stable audio player foundation,
and to provide a player with a consistent and easy to understand usage
experience.

%description -l pl.UTF-8
BMPx jest następcą projektu BMP z przepisanym od zera kodem i skupia
się na utrzymaniu stabilnej podstawy odtwarzacza dźwięku, aby
udostępnić odtwarzacz ze spójną i łatwą do zrozumienia obsługą.

%package devel
Summary:	Header files for BMPx media player
Summary(pl.UTF-8):	Pliki nagłówkowe odtwarzacza multimedialnego BMPx
Group:		X11/Development/Libraries
Requires:	dbus-glib-devel >= 0.62
Obsoletes:	libchroma-devel
Obsoletes:	libhrel-devel

%description devel
Header files required for compiling BMPx media player plugins.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do kompilowania wtyczek odtwarzacza
multimedialnego BMPx.

%package -n iceweasel-extension-bmpx
Summary:	Iceweasel extension - BMPx
Summary(pl.UTF-8):	Rozszerzenie dla przeglądarki Iceweasel - BMPx
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	iceweasel
Provides:	mozilla-firefox-plugin-bmpx
Obsoletes:	mozilla-firefox-plugin-bmpx

%description -n iceweasel-extension-bmpx
Iceweasel extension which registers the lastfm:// protocol to BMPx.

%description -n iceweasel-extension-bmpx -l pl.UTF-8
Rozszerzenie dla przeglądarki Iceweasel, które rejestruje protokół
lastfm:// do BMPx.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-hal \
	--enable-modplug \
	%{?with_sid:--enable-sid} \
	--with-dbus-services-dir=%{_datadir}/dbus-1/services
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

unzip -q -o xpi/bmp.xpi -d $RPM_BUILD_ROOT%{_iceweaseldir}
sed -e 's@chrome/bmp\.jar@bmp\.jar@' $RPM_BUILD_ROOT%{_iceweaseldir}/chrome.manifest \
	> $RPM_BUILD_ROOT%{_chromedir}/bmp.manifest

rm -f $RPM_BUILD_ROOT%{_iceweaseldir}/{install.rdf,chrome.manifest}
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/bmpx/plugins/{taglib,vfs/container,vfs/transport}/*.la
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{th_TH,th}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database_post
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/bmp2
%attr(755,root,root) %{_bindir}/beep-media-player-2
%attr(755,root,root) %{_bindir}/bmp-play-files-2.0
%attr(755,root,root) %{_bindir}/bmp-play-uris-2.0
%attr(755,root,root) %{_libexecdir}/beep-media-player-2-bin
%attr(755,root,root) %{_libexecdir}/beep-media-player-2-sentinel

%dir %{_libdir}/bmpx
%dir %{_libdir}/bmpx/plugins
%dir %{_libdir}/bmpx/plugins/taglib
%dir %{_libdir}/bmpx/plugins/vfs
%dir %{_libdir}/bmpx/plugins/vfs/container
%dir %{_libdir}/bmpx/plugins/vfs/transport
%attr(755,root,root) %{_libdir}/bmpx/plugins/taglib/*.so*
%attr(755,root,root) %{_libdir}/bmpx/plugins/vfs/container/*.so*
%attr(755,root,root) %{_libdir}/bmpx/plugins/vfs/transport/*.so*
%{_docdir}/bmpx
%{_datadir}/bmpx
%{_datadir}/dbus-1/services/*.service
%{_mandir}/man*/*
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/*/*.png

%files devel
%defattr(644,root,root,755)
%{_includedir}/bmp-2.0
%{_pkgconfigdir}/*.pc

%files -n iceweasel-extension-bmpx
%defattr(644,root,root,755)
%{_chromedir}/bmp.jar
%{_chromedir}/bmp.manifest

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bmpx.spec,v $
Revision 1.106  2010/04/21 17:00:12  arekm
- release 13

Revision 1.105  2010/03/25 22:09:45  pluto
- release 12 (rebuild with boost-1.42.0)

Revision 1.104  2010/03/13 23:12:45  sparky
- BR: docbook-dtd45-xml

Revision 1.103  2010/03/08 13:31:38  hawk
- release 11

Revision 1.102  2009/12/31 17:35:21  megabajt
- release 10

Revision 1.101  2009/08/31 12:29:40  pluto
- release 9

Revision 1.100  2009/08/29 09:03:38  pluto
- fix install error.
  /usr/bin/install: will not overwrite just-created `/tmp/bmpx-0.40.14-../usr/share/doc/bmpx/images/favicon.ico' with `favicon.ico'

Revision 1.99  2009/08/29 08:47:58  pluto
- compilation fixes merged.

Revision 1.98  2009/08/29 06:45:35  pluto
- release 8 (rebuild with boost-1.40.0)

Revision 1.97  2009/06/21 11:43:32  hawk
- release 7

Revision 1.96  2009/03/13 23:42:52  hawk
- release 6

Revision 1.95  2008/11/09 18:25:37  megabajt
- release 5

Revision 1.94  2008/08/26 12:24:50  pluto
- release 4 for rebuild with new boost soname.

Revision 1.93  2008/08/05 21:42:18  charles
- BR: docbook-style-xsl, gettext-devel

Revision 1.92  2008/07/25 22:36:39  megabajt
- added -sidplay.patch which should fix build on ppc

Revision 1.91  2008/07/25 21:16:05  megabajt
- changed name of mozilla-firefox-plugin-bmpx package to iceweasel-extension-bmpx
- release 3

Revision 1.90  2008/07/25 11:13:23  patrys
- add R: gstreamer-audio-effects-base (https://bugs.launchpad.net/pld-linux/+bug/251539)
- rel 2

Revision 1.89  2008/06/14 10:55:49  kali
- updated to 0.40.14
- removed outdated sql_check patch

Revision 1.88  2008-06-14 10:14:19  arekm
- rel 7

Revision 1.87  2008-04-29 14:06:06  pluto
- reorganize boost BRs (boost-devel >= 1.35.0).

Revision 1.86  2008-03-15 17:55:39  megabajt
- added -libsoup24.patch and -invalid-conversion.patch
- release 6

Revision 1.85  2008-03-13 21:01:04  arekm
- rel 5

Revision 1.84  2008-01-23 20:01:10  qboosh
- dropped unpackaged (and outdated) mp3license file

Revision 1.83  2008-01-16 12:15:26  arekm
- fix urls

Revision 1.82  2007-11-26 17:27:05  arekm
- rel 4; should build on x86_64 multilib

Revision 1.81  2007-11-21 19:11:12  dzeus
- added sql_check.patch (achilles [at] plock [dot] com)

Revision 1.80  2007/10/29 22:34:49  dzeus
- obsolete desktop.patch

Revision 1.79  2007/10/29 21:34:17  dzeus
- up to 0.40.13

Revision 1.78  2007/08/13 21:45:18  megabajt
- use Suggests instead of %banner
- bmpx plugin works only with firefox
- release 1

Revision 1.77  2007/08/13 17:16:57  megabajt
- updated to 0.40.1
- NFY, release 0.1

Revision 1.76  2007/06/21 21:25:14  arekm
- rel 3

Revision 1.75  2007/06/14 18:15:18  arekm
- rel 2

Revision 1.74  2007/05/24 16:58:09  qboosh
- removed libcom_err BR (not used directly, I bet it comes from krb5 through neon)
- system libuuid is not used, but should be
- don't build static plugins just to rm them

Revision 1.73  2007/05/24 16:19:11  czarny
- BR: libcom_err-devel, libuui-devel found by clean chroot build

Revision 1.72  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.71  2007/02/12 00:48:40  baggins
- converted to UTF-8

Revision 1.70  2007/01/13 19:33:31  megabajt
- missing BR: librsvg-devel

Revision 1.69  2006/12/19 17:00:56  aflinta
- some new requires

Revision 1.68  2006/12/17 16:05:08  aflinta
- release 1

Revision 1.67  2006/12/16 22:13:17  aflinta
 - 0.36.1
 - use gcc-c++ >= 4.0.0

Revision 1.66  2006/12/15 11:48:29  tiwek
- missing boost-regex-devel BR

Revision 1.65  2006/12/15 11:20:57  aflinta
- updated BR

Revision 1.64  2006/12/12 19:19:29  aflinta
- up to 0.36.0

Revision 1.63  2006/12/04 20:04:21  aflinta
- up to 0.34.9

Revision 1.62  2006/11/07 22:21:10  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.61  2006/10/09 22:34:59  qboosh
- strict internal dep

Revision 1.60  2006/10/09 20:15:49  megabajt
- added mozilla-firefox-plugin-bmpx subpackage
- removed TODO
- rel. 1.2

Revision 1.59  2006/10/08 18:01:35  ankry
- tabs

Revision 1.58  2006/10/08 12:35:18  qboosh
- unified bcond header

Revision 1.57  2006/10/08 12:29:56  aflinta
 - enabled some extensions
 - added TODO
 - rel. 1.1

Revision 1.56  2006/10/06 22:02:27  megabajt
- up to 0.32.0

Revision 1.55  2006/09/30 09:37:40  megabajt
- use rpm macros
- rel. 1

Revision 1.54  2006/09/28 13:24:40  aflinta
- up to version 0.30.3

Revision 1.53  2006/07/21 16:15:51  freetz
- 0.20.3, dropped libs, static, plugins-base subpkgs, updated BR/R,
  introduced --as-needed support, icon cache updated in post/postun

Revision 1.52  2006/06/15 14:56:01  dzeus
- up to 0.14.4

Revision 1.51  2006/04/18 13:12:30  japhy
- Up to 0.14.3

Revision 1.50  2006/03/26 17:50:50  dzeus
- missing BR: flex, bison

Revision 1.49  2006/03/26 13:13:33  japhy
- Added update-mime-database, set R: appropriately.

Revision 1.48  2006/03/22 18:10:57  japhy
- Up to 0.14.2, removed unneeded Patch1
- HAL support on
- Macroized update-desktop-database

Revision 1.47  2006/03/19 11:18:35  freetz
- rel. 1.1 for test build

Revision 1.46  2006/03/19 11:14:21  freetz
- gamin is used as a default file monitoring backend

Revision 1.45  2006/03/19 10:59:26  freetz
- added libexec patch, rel.1

Revision 1.44  2006/03/19 10:09:26  freetz
- use gstreamer 0.10 package naming style

Revision 1.43  2006/03/19 10:05:15  freetz
- missing gtk2-devel requires in -devel subpkg added

Revision 1.42  2006/03/19 10:02:51  freetz
- more Obsoletes

Revision 1.41  2006/03/19 09:59:36  freetz
- more work, more obsoletes still to come

Revision 1.40  2006/03/19 09:38:43  freetz
- started work on 0.14, moved all required plugins to one plugin-base
  subpkg, updated file lists, rel.0.1 aka 'simplify me', very NFY!

Revision 1.39  2006/03/11 16:29:00  maciek2w
- added description for libhrel-static subpackage

Revision 1.38  2006/02/19 18:07:56  qboosh
- there is shared libhrel - created libhrel-static subpackage

Revision 1.37  2006/02/19 18:01:21  qboosh
- added pic patch, libtoolize
- moved static-only libgoa.a,libhrel.a to -devel

Revision 1.36  2006/01/29 16:48:30  japhy
- O: libchroma, libchroma-devel
- Comments cut out (both missed in last commit)

Revision 1.35  2006/01/25 15:36:42  japhy
- Bump up to 0.12.9
- BR tweaks
- Libchroma dropped from upstream

Revision 1.34  2005/11/20 18:20:18  patrys
- up to 0.12.8

Revision 1.33  2005/11/16 09:34:09  troll
- updated to 0.12.7

Revision 1.32  2005/11/13 16:54:44  troll
- spaces to tabs

Revision 1.31  2005/11/13 16:53:23  troll
- updated to 0.12.5
- new project and source URL
- require specific release of libhrel (0.1-2) since it has independent
  versioning
- new package: remote, containing %%{_bindir}/bmpx-remote tool
- rel 2 for libhrel

Revision 1.30  2005/11/11 14:28:16  freetz
- 0.12.4, libchroma subpackage, run ldconfig for libhrel, fixed some typos,
  require lib{chroma,hrel}-devel in -devel

Revision 1.29  2005/11/01 00:34:36  patrys
- fixed libhrel version

Revision 1.28  2005/11/01 00:02:24  patrys
- up to 0.12.2

Revision 1.27  2005/10/31 22:59:18  troll
- R: python-dbus for remote-gtk package

Revision 1.26  2005/10/26 19:19:29  glen
- adaterized and sorted

Revision 1.25  2005/10/26 19:18:54  glen
- rpm macros rev for %banner

Revision 1.24  2005/10/26 18:16:55  freetz
- cosmetics (capitals, sorting)

Revision 1.23  2005/10/26 18:08:01  freetz
- remote curses and gtk subpackages added

Revision 1.22  2005/10/26 17:38:01  freetz
- libs subpackage

Revision 1.21  2005/10/26 16:59:26  freetz
- static supackage, work in progress

Revision 1.20  2005/10/26 16:31:59  freetz
- removed cairo-devel BR (it's already in dependencies chain), note about
  gstreamer

Revision 1.19  2005/10/26 16:23:15  freetz
- desktop patch added, unifications, banner support, require some audio
  stuff to play something, expaned %%postun

Revision 1.18  2005/10/26 15:44:43  qboosh
- simplified setup

Revision 1.17  2005/10/26 11:15:26  patrys
- up to 0.12.1
- rel. up to 1
- STBR

Revision 1.16  2005/10/21 11:02:03  troll
- updated to 0.12 RC 12

Revision 1.15  2005/10/17 21:07:00  freetz
- require flow plugin too (works now but is unstable as hell in winter)

Revision 1.14  2005/10/17 20:25:03  qboosh
- don't package plugins *.la, but package .so symlinks

Revision 1.13  2005/10/17 20:09:20  qboosh
- BR: rpm-pythonprov (because of scripts in /usr/bin)
- removed bogus gss BR (caused by curl)

Revision 1.12  2005/10/17 19:24:36  qboosh
- simple descs where missing, uncommented Rs in -plugin-*

Revision 1.11  2005/10/16 09:52:59  troll
- updated to 0.12 RC11
- proper licence (GPL v2)
- BR: gss-devel
- separated packages devel, plugin-container, plugin-flow, plugin-transport
- disabled static libraries
- added some docs
- added embedded-images patch, which fixes building
- doesn't work, don't know why, don't have the strength anymore

Revision 1.10  2005/10/05 16:35:09  troll
- fixed the gstreamer build

Revision 1.9  2005/10/05 16:33:03  troll
- updated to 0.12 RC3

Revision 1.8  2005/10/04 11:54:56  troll
- updated to 0.12 RC2

Revision 1.7  2005/10/03 18:59:22  qboosh
- cosmetics

Revision 1.6  2005/09/30 09:30:52  troll
- starting with Epoch: 1 is not a good idea

Revision 1.5  2005/09/30 07:44:55  luzik
- added dbus BR

Revision 1.4  2005/09/30 05:50:31  paladine
- proper group
- missing endif and epoch in BR

Revision 1.3  2005/09/30 04:19:24  troll
- updated to 0.11.5.1
- fixed URL
- changed the descriptions using appriopriate ones
- added call to /sbin/ldconfig in %%post{,un}

Revision 1.2  2005/09/30 03:46:06  troll
- added conditional build - with gstreamer
- removed redundant BRs: GConf2-devel, gnome-vfs2-devel, home-etc-devel,
  pkgconfig
- changed configure options (the previous ones were for bmp not bmpx)
- don't include GPL licence text
- move desktop icon from _iconsdir to _pixmapsdir
- rel 0.2, descriptions still require changing

Revision 1.1  2005/09/30 01:27:33  patrys
- Initial PLD release
- needs a review and proper descriptions
